package com.izouma.awesomeadmin.service;

import java.util.*;

import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.UserUpdateLog;


/**
 * service接口类
 */
public interface UserUpdateLogService {

    List<UserUpdateLog> getUserUpdateLogList(UserUpdateLog record);

    List<UserUpdateLog> getUserUpdateLogByPage(Page page, UserUpdateLog record);

    UserUpdateLog getUserUpdateLogById(String id);

    UserUpdateLog getUserUpdateLog(UserUpdateLog record);

    boolean createUserUpdateLog(UserUpdateLog record);

    boolean newUserUpdateLog(UserUpdateLog record);

    boolean deleteUserUpdateLog(UserUpdateLog record);

    boolean updateUserUpdateLog(UserUpdateLog record);
}

